---------------------
PatchSet 2788 
Date: 2001/08/20 03:41:08
Author: rbcollins
Branch: squid-amake
Tag: (none) 
Log:
correct AM_CONDITIONAL use (ensure that false is called for everything) and fix store modules compilation

Members: 
	configure.in:1.19.4.8->1.19.4.9 
	src/fs/Makefile.am:1.1.2.3->1.1.2.4 

Index: squid/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/configure.in,v
retrieving revision 1.19.4.8
retrieving revision 1.19.4.9
diff -u -r1.19.4.8 -r1.19.4.9
--- squid/configure.in	13 Aug 2001 09:28:59 -0000	1.19.4.8
+++ squid/configure.in	20 Aug 2001 03:41:08 -0000	1.19.4.9
@@ -3,17 +3,17 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.19.4.8 2001/08/13 09:28:59 rbcollins Exp $
+dnl  $Id: configure.in,v 1.19.4.9 2001/08/20 03:41:08 rbcollins Exp $
 dnl
 dnl
 dnl
 AC_INIT(src/main.c)
+AC_CONFIG_AUX_DIR(cfgaux)
 AM_INIT_AUTOMAKE(Squid, 2.5-DEVEL)
 AM_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.19.4.8 $)dnl
+AC_REVISION($Revision: 1.19.4.9 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 
-dnl AC_CONFIG_AUX_DIR(cfgaux)
 dnl Set default LDFLAGS
 if test -z "$LDFLAGS"; then
         LDFLAGS="-g"
@@ -328,11 +328,21 @@
   fi
 ])
 echo "Store modules built: $STORE_MODULES"
-AC_SUBST(STORE_MODULES)
 STORE_OBJS="fs/lib`echo $STORE_MODULES|sed -e 's% %.a fs/lib%g'`.a"
 AC_SUBST(STORE_OBJS)
 STORE_LIBS="`echo $STORE_OBJS|sed -e 's%fs/%%g'`"
 AC_SUBST(STORE_LIBS)
+dnl remove all but diskd - its the only module that needs to recurse
+dnl into the sub directory
+STORE_MODULE_SUBDIRS=
+for fs in $STORE_MODULES none; do
+    if test $fs == diskd; then
+        STORE_MODULE_SUBDIRS="$STORE_MODULE_SUBDIRS $fs"
+    fi
+done
+AC_SUBST(STORE_MODULES)
+AC_SUBST(STORE_MODULE_SUBDIRS)
+
 
 dnl --enable-heap-replacement compability option
 AC_ARG_ENABLE(heap-replacement,
@@ -390,14 +400,13 @@
 ])
 AC_SUBST(OPT_PINGER_EXE)
 
+AM_CONDITIONAL(USE_DELAY_POOLS, false)
 AC_ARG_ENABLE(delay-pools,
 [  --enable-delay-pools    Enable delay pools to limit bandwidth usage],
 [ if test "$enableval" = "yes" ; then
     echo "Delay pools enabled"
     AC_DEFINE(DELAY_POOLS)
     AM_CONDITIONAL(USE_DELAY_POOLS, true)
-  else
-    AM_CONDITIONAL(USE_DELAY_POOLS, false)
   fi
 ])
 
@@ -444,6 +453,7 @@
   fi
 ])
 
+AM_CONDITIONAL(USE_SNMP, false)
 AC_ARG_ENABLE(snmp,
 [  --enable-snmp           Enable SNMP monitoring],
 [ if test "$enableval" = "yes" ; then
@@ -453,8 +463,6 @@
     AM_CONDITIONAL(USE_SNMP, true)
     SNMP_MAKEFILE=./snmplib/Makefile
     makesnmplib=snmplib
-  else
-    AM_CONDITIONAL(USE_SNMP, false)
   fi
 ])
 AC_SUBST(SNMPLIB)
@@ -504,7 +512,6 @@
 ])
 
 AM_CONDITIONAL(ENABLE_HTCP, false)
-
 AC_ARG_ENABLE(htcp,
 [  --enable-htcp           Enable HTCP protocol],
 [ if test "$enableval" = "yes" ; then
@@ -660,6 +667,7 @@
   fi
 ])
 
+AM_CONDITIONAL(MAKE_LEAKFINDER, false)
 dnl Enable Leak Finding Functions
 AC_ARG_ENABLE(leakfinder,
 [  --enable-leakfinder
@@ -672,8 +680,6 @@
 	AC_DEFINE(USE_LEAKFINDER)
 	USE_LEAKFINDER="yes"
 	AM_CONDITIONAL(MAKE_LEAKFINDER, true)
-  else
-	AM_CONDITIONAL(MAKE_LEAKFINDER, false)
   fi
 ])
 
@@ -689,6 +695,7 @@
   fi
 ])
 
+AM_CONDITIONAL(USE_DNSSERVER, false)
 use_dnsserver=
 AC_ARG_ENABLE(internal-dns,
 [  --disable-internal-dns  This prevents Squid from directly sending and
@@ -702,12 +709,9 @@
 if test "$use_dnsserver" = "yes"; then
     AC_DEFINE(USE_DNSSERVERS)
     OPT_DNSSERVER_EXE='$(OPT_DNSSERVER_EXE)'
-dnl    DNSSOURCE='dns.c'
-	AM_CONDITIONAL(USE_DNSSERVER, true)
+    AM_CONDITIONAL(USE_DNSSERVER, true)
 else
     OPT_DNSSERVER_EXE=''
-dnl    DNSSOURCE='dns_internal.c'
-	AM_CONDITIONAL(USE_DNSSERVER, false)
 fi
 AC_SUBST(OPT_DNSSERVER_EXE)
 dnl AC_SUBST(DNSSOURCE)
@@ -903,14 +907,11 @@
 if test "$use_unlinkd" = "yes"; then
     echo "unlinkd enabled"
     AC_DEFINE(USE_UNLINKD)
-dnl    OPT_UNLINKD_EXE='$(OPT_UNLINKD_EXE)'
     AM_CONDITIONAL(ENABLE_UNLINKD, true)
 else
     echo "unlinkd disabled"
     AM_CONDITIONAL(ENABLE_UNLINKD, false)
-dnl    OPT_UNLINKD_EXE=''
 fi
-dnl AC_SUBST(OPT_UNLINKD_EXE)
 
 dnl Enable backtraces on fatal errors
 AC_ARG_ENABLE(stacktraces,
Index: squid/src/fs/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/Makefile.am,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid/src/fs/Makefile.am	19 Aug 2001 23:13:55 -0000	1.1.2.3
+++ squid/src/fs/Makefile.am	20 Aug 2001 03:41:08 -0000	1.1.2.4
@@ -6,10 +6,7 @@
 AUTOMAKE_OPTIONS = subdir-objects
 
 DIST_SUBDIRS	= aufs coss diskd null ufs
-SUBDIRS		= @STORE_MODULES@
-
-## TODO: We only want to iterate into diskd - all the other dirs build without recursion.
-##SUBDIRS	= @STORE_MODULES@
+SUBDIRS		= @STORE_MODULE_SUBDIRS@
 
 EXTRA_LIBRARIES = libaufs.a libcoss.a libdiskd.a libnull.a libufs.a
 noinst_LIBRARIES = @STORE_LIBS@
